Package ru.bitel.bgbilling.plugins.gar.common.bean

# Class GarAddressStreet

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.bgbilling.plugins.gar.common.bean.GarAddressObject
ru.bitel.bgbilling.plugins.gar.common.bean.GarAddressStreet

All Implemented Interfaces:
  `Serializable`, `GuiTitlable`, `Idable`, `ListItem`

public class GarAddressStreet extends GarAddressObject

See Also:
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class ru.bitel.common.model.IdTitle

  `IdTitle.Builder, IdTitle.IdTitleBuilder`

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `NO_SELECT, title`

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GarAddressStreet()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addHouse(GarAddressHouse house)`
  `List<GarAddressHouse>`
  `getHouses()`
  `void`
  `setHouses(List<GarAddressHouse> houses)`

  ### Methods inherited from class ru.bitel.bgbilling.plugins.gar.common.bean.GarAddressObject

  `getCladrCode, getFullName, getGarObjectId, getGuiTitle, getTypeName, setCladrCode, setFullName, setGarObjectId, setTypeName`

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getTitle, setId, setTitle, to, toIdTitle, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Constructor Details

  - ### GarAddressStreet

    public GarAddressStreet()

- ## Method Details

  - ### addHouse

    public void addHouse(GarAddressHouse house)

  - ### getHouses

    public List<GarAddressHouse> getHouses()

  - ### setHouses

    public void setHouses(List<GarAddressHouse> houses)